### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »

# testing.plugin.simple

## Module: `testing.plugin.simple`

Simple example using doctests.

This file just contains doctests both using plain python and IPython prompts. All tests should be loaded by nose.

## Functions

`IPython.testing.plugin.simple.``ipyfunc2`()

  Some pure python tests...

      >>> 1+1
      2

`IPython.testing.plugin.simple.``pyfunc`()

  Some pure python tests...

      >>> pyfunc()
      'pyfunc'

      >>> import os

      >>> 2+3
      5

      >>> for i in range(3):
      ...     print i,
      ...     print i+1,
      ...
      0 1 1 2 2 3

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »